package com.unibuy.smartdevice.exception;

public class LogsEmptyException extends LogsException {

  public LogsEmptyException(Logs logs, String message) {
    super(logs, message);
  }

  public LogsEmptyException(Logs logs, ErrorCode errorCode) {
    super(logs, errorCode);
  }

  public LogsEmptyException(Logs logs, Throwable cause) {
    super(logs, cause);
  }

  public LogsEmptyException(Logs logs, String message, ErrorCode errorCode) {
    super(logs, message, errorCode);
  }

  public LogsEmptyException(Logs logs, String message, Throwable cause) {
    super(logs, message, cause);
  }

  public LogsEmptyException(Logs logs, ErrorCode errorCode, Throwable cause) {
    super(logs, errorCode, cause);
  }

  public LogsEmptyException(Logs logs, String message, ErrorCode errorCode, Throwable cause) {
    super(logs, message, errorCode, cause);
  }
}
